<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
  <ui:define name="head">
  	<h:outputStylesheet library="stylesheet" name="hl7templates.css"/>
  </ui:define>
  <ui:define name="body">
    <h:form id="globalForm">
      <h1>#{messages['net.ihe.gazelle.cdagen.CDATemplatesValidation']}</h1>
      <gri:panel>
        <f:facet name="header">#{messages['net.ihe.gazelle.cdagen.CDATemplatesValidation']}</f:facet>
        <rich:dataTable id="ObjectTypeTable" var="currentValidation" value="#{cdaTemplatesManager.listValidatedTemplates}" rowKeyVar="rowNumber" onRowMouseOver="this.style.backgroundColor='#94C2E6'" onRowMouseOut="this.style.backgroundColor='#{a4jSkin.tableBackgroundColor}'" rows="15" render="ds">
          <g:column sortBy="#{'id'}" sortOrder="descending">
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Id']}</ui:define>
            <h:outputLink value="hl7validationResult.seam?id=#{currentValidation.id}" target="_blank">
              <h:outputText value="#{currentValidation.id}"/>
            </h:outputLink>
          </g:column>
          <g:column sortBy="#{'token'}">
            <ui:define name="header">#{messages['net.ihe.gazelle.Token']}</ui:define>
            <h:outputText value="#{currentValidation.token}"/>
          </g:column>
          <g:column id="ObjectTypeKeywordColumn" filterBy="#{'name'}" filterEvent="onkeyup" sortBy="#{'name'}" sortOrder="ascending">
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Name']}</ui:define>
            <h:outputText value="#{currentValidation.name}"/>
          </g:column>
          <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.URL']}</ui:define>
            <h:outputLink rendered="#{currentValidation.url != null}" value="#{currentValidation.url}">#{messages['net.ihe.gazelle.cdagen.Link']}</h:outputLink>
          </g:column>
          <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.cdagen.Action']}</ui:define>
            <center>
              <h:outputLink value="hl7validationResult.seam?id=#{currentValidation.id}" target="_blank">
                <h:graphicImage id="viewObjectType" value="/img/icons64/kfind.gif" width="28" height="28" style="cursor:pointer" title="#{messages['gazelle.common.button.View']}"/>
              </h:outputLink>
            </center>
          </g:column>
          <ui:include src="/tableFooter.xhtml"/>
        </rich:dataTable>
      </gri:panel>
    </h:form>
  </ui:define>
</ui:composition>
